% Copyright (c) Camden Dixie O'Brien
% SPDX-License-Identifier: AGPL-3.0-only

-module(proto_sup).
-behaviour(supervisor).

-export([start_link/1]).
-export([init/1]).

start_link(Port) ->
	supervisor:start_link({local, ?MODULE}, ?MODULE, [Port]).

init([Port]) ->
	SupFlags = #{stragegy => one_for_all,
				 intensity => 1,
				 period => 5},
	ChildSpecs = [tcp_server:child_spec(Port)],
	{ok, {SupFlags, ChildSpecs}}.
